ONTAP Discussions

SnapMirror using ONTAP 8.3.2 to ONTAP 9.8

YeremiaSionC
1,431 Views

Hi everyone,

 

I have an ongoing project and they have old NetApp FAS2552 currently used for NFS Volume Share and LUN VMware Datastore, customer ask me to do migrate from their FAS2552 which is still using ONTAP 8.3.2 to their new system FAS2720 using ONTAP 9.8 from Factory.

My questions is

1. Could i perform SnapMirror migrate with these 2 far different ONTAP version between ONTAP 8.3.2 and ONTAP 9.8?

2. If we should upgrade the ONTAP 8.3.2 first to ONTAP 9.8 do this causing downtime?

 

*Note, No Intercluster Switch are available.

1 ACCEPTED SOLUTION

TMACMD
1,377 Views

The upgrade is a multi day process

 8.3-> 9.1-> 9.3->9.5->9.7->9.8 (add new nodes)

 or

8.3-> 9.1-> 9.3->9.5->9.6 (snapmirror to 9.8)

or

8.3-> 9.1-> 9.3 (reinitialize new unit to 9.7 and snapmirror from 9.3 to 9.7)

 

 in every case, you should use the most current P release in each version

 

View solution in original post

5 REPLIES 5

SpindleNinja
1,403 Views

just to confirm that the 2552 is Clustered ONTAP (cdot). and not 7mode? 

YeremiaSionC
1,397 Views

Hi,

 

Existing FAS2552 are using 8.3.2 cDOT version.

TMACMD
1,389 Views

Build a new SVM on the new cluster and storage vmotion all the Vmware data

 

 you will need to update ontap on the older unit to user snapmirror. Looks like a minimum version would be 9.6 but might as well go to 9.8 since it is supported

 

 alternatively if you happen to have cluster switches you could upgrade the older units to 9.8. Then add the new units to the cluster and use volume move to relocate. Still use vmotion to relocate Vmware data

 

 obviously a bit more to it. Once over Simplified

TMACMD
1,378 Views

The upgrade is a multi day process

 8.3-> 9.1-> 9.3->9.5->9.7->9.8 (add new nodes)

 or

8.3-> 9.1-> 9.3->9.5->9.6 (snapmirror to 9.8)

or

8.3-> 9.1-> 9.3 (reinitialize new unit to 9.7 and snapmirror from 9.3 to 9.7)

 

 in every case, you should use the most current P release in each version

 

SpindleNinja
1,384 Views

no more pre-coffee posting for me.    I read that as 8.2.3 for whatever reason.    There's no 7mode 8.3.   

 

Snapmirror compatibility guide. 

https://docs.netapp.com/ontap-9/topic/com.netapp.doc.pow-dap/GUID-0810D764-4CEA-4683-8280-032433B1886B.html

 

you could bump the 2552 to 9.3 and re-init the new one to 9.7.  

 

I second what TMAC said about using VMware to move the VMs. 

Public